Bug 133447 - firefox increments numbers in file name
firefox increments numbers in file name
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-23 21:35 EDT by Jason
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 19:20:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason 2004-09-23 21:35:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914
Firefox/0.10

Description of problem:
If I download a file, then download the file again, instead of getting
a message asking me if I want to overwrite the existing file, Firefox
changes the filename and downloads the file.  For example when I
downloaded 4Suite-1.0-3.i386.rpm for the time the download aborted
with a client side reset.  So I clicked the file a second time and it
begin downloading 4Suite-2.0-3.i386.rpm


Version-Release number of selected component (if applicable):
version 1 preview 1

How reproducible:
Always

Steps to Reproduce:
1.  Download a file
2.  Download the same file
3.
    

Actual Results:  There were two seperate files, one named correctly
and the other incremented by 1

Expected Results:  I should be prompted to overwrite the existing file

Additional info:
Comment 1 Ivan Gyurdiev 2004-09-24 14:03:21 EDT
It's been that way forever, I always thought it was a feature.
It probably should be considered a bug though.

Comment 2 Jason 2004-09-27 16:23:41 EDT
Firefox still has this behavior in firefox-0.10.0-1.0PR1.1
Comment 3 Christopher Aillon 2004-09-29 19:20:51 EDT
If you don't want that behavior, turn off the automatic downloading
feature.

https://bugzilla.mozilla.org/show_bug.cgi?id=231048

Note You need to log in before you can comment on or make changes to this bug.